package router

import (
	"github.com/gin-gonic/gin"
	"onvif-agent/router/handler"
)

func SetupRoutes(r *gin.Engine) {
	// ONVIF 相关路由
	userGroup := r.Group("/onvif")
	{
		connectionGroup := userGroup.Group("/connections")
		{
			connectionGroup.GET("/", handler.GetConnections)
			connectionGroup.POST("/", handler.CreateConnection)
		}
	}
}
